<?php
/*
 * This is the class of the webtabsbuilder widget.
 */
class Widget_WebTabsBuilder extends WP_Widget {
	function Widget_WebTabsBuilder() {
		$widget_ops = array('description' => __( "Do not use the drag and drop feature here. Please choose one of the tab control widgets found at the “Inactive Widgets” section at the bottom of this page. Also remember that you should also have the “Widget” option selected at the “Tab Control Positioning Method” property of the Likno Web Tabs plugin settings page. " ) );
		$this->WP_Widget('Widget_WebTabsBuilder', __('Likno Web Tabs'), $widget_ops);
	}
	function widget( $args, $instance ) {
		global $wpdb,$lwtb_table_name;
		extract($args, EXTR_SKIP);
		if (isset($instance['div_name']))
			$lwtbName = $wpdb->get_var('SELECT name from '.$lwtb_table_name.' where position LIKE "lwtb_widget" && id = '.(int)$instance['div_name']);
		else
			$lwtbName = '';
		
		if (!empty($lwtbName)) {
			global $lwtbPluginInstance;
			$lwtbPluginInstance->lwtb_toload[]= "'".$lwtbName."'";
			if (1 == $wpdb->get_var('SELECT print_div from '.$lwtb_table_name.' where position LIKE "lwtb_widget" && id = '.(int)$instance['div_name']))
			{
				echo $before_widget;
				$div_name = "lwtbAnchor-".$lwtbName;
				echo "<div id='$div_name'></div>";
				echo $after_widget;
			}
		}
	}
	
	function update( $new_instance, $old_instance ) {
		return false;
	}
	
	function form( $instance ) {
		global $wpdb, $lwtb_table_name;
		if (isset($instance['div_name']))
			$tabsName = $wpdb->get_var( "SELECT name FROM $lwtb_table_name where id = " .(int) $instance['div_name']);
		else
			$tabsName = '';
		if (!empty($tabsName)):
?>
			<p>
				<input type="hidden" id="lwtb-widget-title" value="<?php echo $tabsName?>"/>
				<span><?php _e('This is the widget for tab control: '); ?><strong><?php echo $tabsName;?></strong></span>
			</p>
<?php 	else:	?>
			<p><strong style="color: red">Warning!!!</strong><br />It seems that you chose the Likno Web Tabs widget from the <em>'Available Widgets'</em> panel. Instead, you should drag and drop the related Likno Web Tabs widget from the <em>'Inactive Widgets'</em> panel. If you cannot find the widget that you want, go to <a href="<?php echo admin_url('options-general.php?page=webtabsbuilder-wordpress-plugin/webtabsbuilder-wordpress.php')?>">Likno Web Tabs settings</a>, select the tab control of the tab controls that you want and choose the "Widget" value in the "Tabs Positioning Method" property.</p>
<?php 	endif;	?>
<?php
	}
}
?>
