/*
Plugin Name: Likno Web Tabs WordPress Plugin
Plugin URI: http://www.likno.com/jquery-tabs/wordpress-tabs.html
Description: WordPress plugin for the Likno Web Tabs - Create stylish, feature-rich tab controls for your blogs!
Version: 1.2
Author: Likno Software
Author URI: http://www.likno.com/
*/

/*
 *These are all the javascript functions that plugin uses.
 *
 **/

var clip = null;
var clip2 = null;
var LWTB_TOTAL_TABS_JS;

    //adds ie indexOf
if(!Array.indexOf) {
	Array.prototype.indexOf = function(obj) {
		for(var i=0; i<this.length; i++) {
			if(this[i]==obj) {
				return i;
			}
		}
		return -1;
	}
}


function lwtb_copy_complete(client, text) {
	alert("Copied 'DIV' element name to clipboard: " + text);
}
function lwtb_template_tag_complete(client, text) {
	alert("Copied template tag code to clipboard: \n" + text);
}

function lwtb_show_tab(x) {
	var i;
	for (i=0; i<LWTB_TOTAL_TABS_JS; i++) {
		document.getElementById('LWTB_tab_body_'+i).style.display="none";
		document.getElementById('LWTB_tab_header_'+i).className = "lwtb_tab_header";
	}
	document.getElementById('LWTB_tab_header_'+x).className = "lwtb_tab_header_selected";
	document.getElementById('LWTB_tab_body_'+x).style.display="";
	document.getElementById('LWTB_selected_tab').value = x;
	document.getElementById("upload_form_tabs_name").innerHTML = eval('document.theform.LWTB_tabs_name_'+x+'.value;');
	
	var lwtb_onload = function(){
		clip = new ZeroClipboard.Client();
		clip.setText(document.getElementById("lwtb_divname"+x).value);
		clip.glue('lwtb_copy_button_' + x);
		clip.addEventListener( 'onComplete', lwtb_copy_complete );
		
		clip2 = new ZeroClipboard.Client();
		clip2.setText(document.getElementById("template_tag_code_"+x).value);
		clip2.glue('lwtb_template_tag_button_' + x);
		clip2.addEventListener( 'onComplete', lwtb_template_tag_complete );
	};
	
	if (window.addEventListener) {	// W3C standard
		window.addEventListener('load', lwtb_onload, false); // NB **not** 'onload'
	} else if (window.attachEvent) {	// Microsoft
		window.attachEvent('onload', lwtb_onload);
	}
}

function lwtb_uncheck(x) {
	if (document.getElementById('LWTB_tabs_active_'+x).checked) {
		document.getElementById('LWTB_unchecked_'+x).style.color="#009900";
		document.getElementById('LWTB_unchecked_'+x).innerHTML = "(this tab control will appear in your blog)";
	} else {
		document.getElementById('LWTB_unchecked_'+x).style.color="#990000";
		document.getElementById('LWTB_unchecked_'+x).innerHTML = "Unchecked! (this tab control will not appear in your blog)";
	}
}

function lwtb_set_path() {
	document.getElementById('LWTB_the_path').innerHTML = document.getElementById('LWTB_tabs_path').value;
}

function lwtb_folder_info(x,t) {
	document.getElementById('LWTB_folder_info_'+t).style.display = x;
}

function lwtb_disable_value(elem,e){
	var key;
	if(window.event) {
		key = e.keyCode;
		isCtrl = window.event.ctrlKey
	} else if(e.which) {
		key = e.which;
		isCtrl = e.ctrlKey;
	}
	if (isNaN(String.fromCharCode(key))) return false;
	return true;
}

function lwtb_tabs_position(value, i) {
	if (clip2!=null) {
		clip2.destroy();
		clip2 = null;
	}
	document.getElementById('lwtb_shortcode_position_' + i).style.display = "none";
	document.getElementById('lwtb_widget_position_' + i).style.display = "none";
	document.getElementById('lwtb_template_tag_position_' + i).style.display = "none";
	if (value == "shortcode" ) {
		document.getElementById('lwtb_shortcode_position_' + i).style.display = "block";
		if (document.getElementById('LWTB_tabs_name_'+i).value != document.getElementById('LWTB_tabs_name_'+i).getAttribute("original"))
			document.getElementById('lwtb_name_notice_'+i).innerHTML = "Name changed: You are using the shortcode positioning method. You have to go to each post or page using this tab control and change the 'name' property.";
	} else if (value == "lwtb_widget") {
		document.getElementById('lwtb_widget_position_' + i).style.display = "block";
		document.getElementById('lwtb_name_notice_'+i).innerHTML = ""
	} else {
		document.getElementById('lwtb_template_tag_position_' + i).style.display = "block";
		if (document.getElementById('LWTB_tabs_name_'+i).value != document.getElementById('LWTB_tabs_name_'+i).getAttribute("original"))
			document.getElementById('lwtb_name_notice_'+i).innerHTML = "Name changed: You are using the template tag positioning method. You have to go to each template file using this tab control and change the 'name' property.";
		clip2 = new ZeroClipboard.Client();
		clip2.setText(document.getElementById("template_tag_code_"+i).value);
		clip2.glue('lwtb_template_tag_button_' + i);
		clip2.addEventListener( 'onComplete', lwtb_template_tag_complete );
	}
}

function lwtb_disable_value(elem,e){
	var key;
	if (window.event) {
		key = e.keyCode;
		isCtrl = window.event.ctrlKey
	} else if(e.which) {
		key = e.which;
		isCtrl = e.ctrlKey;
	}
	if (isNaN(String.fromCharCode(key))) return false;
	return true;
}

function lwtb_show_field(x,t,field) {
	elem = document.getElementById("lwtb_"+field+"_fieldset_"+t);
	elem.style.display = x?"":"none";
	document.getElementById("lwtb_"+field+"_dots_"+t).innerHTML = x?":":" ...";
}

function lwtb_print_div(checked,num) {
	if (checked) {
		if (clip!=null) clip.destroy();
        clip = new ZeroClipboard.Client();
        document.getElementById("lwtb_embeddedDetails_" +num).style.display = "";
		clip.setText(document.getElementById("lwtb_divname"+num).value);
		clip.glue('lwtb_copy_button_' + num);
		clip.show();
		clip.addEventListener( 'onComplete', lwtb_copy_complete );
	} else {
        document.getElementById("lwtb_embeddedDetails_" +num).style.display = "none";
        clip.hide();
    }
}

function lwtb_name_change(x,val) {
    document.getElementById('upload_form_tabs_name').innerHTML = val;
    document.getElementById('lwtb_active_name_' + x).innerHTML =  val;
    document.getElementById('lwtb_divname' + x).value =  'lwtbAnchor-' +val;
	document.getElementById('template_tag_code_'+x).value ="&lt;?php if (function_exists('lwtb_template_tag'))\n"+"lwtb_template_tag('"+val+"');?&gt;";
	if (eval("document.theform.lwtb_tabs_position_" + x +"[0].selected") == true) {
        document.getElementById('lwtb_name_notice_'+x).innerHTML = "Name changed: You are using the shortcode positioning method. You have to go to each post or page using this tab control and change the 'name' property.";
	} else if (eval("document.theform.lwtb_tabs_position_" + x +"[1].selected") == true) {
        document.getElementById('lwtb_name_notice_'+x).innerHTML = "Name changed: You are using the template tag positioning method. You have to go to each template file using this tab control and change the 'name' property.";
    }
	else if (eval("document.theform.lwtb_tabs_position_" + x +"[2].selected") == true) {
        document.getElementById('lwtb_name_notice_'+x).innerHTML = "";
	}
}

function lwtb_form_validate() {
	var i=0;
	var j=0;
	var errorMsg='';
	var exclude = new Array();
	for (i=0; i<LWTB_TOTAL_TABS_JS; i++) {
		var message = "Name: \"" + document.getElementById("LWTB_tabs_name_"+i).value + "\" exists in tabs tabs: " + (i+1);
		var message2= '';
		if (exclude.indexOf(document.getElementById("LWTB_tabs_name_"+i).value)==-1) {
			for (j = i+1; j<LWTB_TOTAL_TABS_JS; j++){
				if (document.getElementById("LWTB_tabs_name_"+i).value == document.getElementById("LWTB_tabs_name_"+j).value)
					message2 += ", " + (j+1);
			}
		}
		if (message2.length > 0){
			errorMsg+= message + message2 + ". Names must be unique for each tabs.\n";
			exclude[exclude.length] = document.getElementById("LWTB_tabs_name_"+i).value;
		}
	}
	if (errorMsg.length>0)
		alert("The following error(s) occured: \n" +errorMsg);
	else
		document.theform.submit();
}
